Intrusion Prevention

3S-Smart.CODESYS.Web.Server.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Buffer Overflow vulnerability in 3S-Smart Software Solutions GmbH CODESYS Web Server.
The vulnerability is due to an improper boundary check condition in the application when handling a malformed configuration file. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted configuration file.

Affected Products

3S-Smart Software Solutions GmbH CODESYS 2.3.9.49
3S-Smart Software Solutions GmbH CODESYS 2.3.9.51
3S-Smart Software Solutions GmbH CODESYS 2.3.9.52

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://store.codesys.com/codesys-23.html

CVE References

CVE-2017-6027 CVE-2017-6025